import Node from './Node';
import Element from './Element';
import ComplexType from './ComplexType';
/**
 * Содержит расширения или ограничения для сложного типа, хранящего смешанное содержимое или только элементы.
 * https://msdn.microsoft.com/ru-ru/library/ms256053(v=vs.120).aspx
 */
export default class ComplexContent extends Node {
    private extension;
    readonly elements: Element[];
    readonly baseComplexType: ComplexType;
    constructor(data: any, ownerNode?: Node);
}
