import Node from './Node';
import Type from './Type';
import Sequence from './Sequence';
import Element from './Element';
import ComplexContent from './ComplexContent';
/**
 * Объявляет сложный тип, определяющий набор атрибутов и содержимое элемента.
 * https://msdn.microsoft.com/ru-ru/library/ms256067(v=vs.120).aspx
 */
export default class ComplexType extends Type {
    sequence: Sequence;
    complexContent: ComplexContent;
    readonly elements: Element[];
    readonly baseComplexType: ComplexType;
    constructor(data: any, ownerNode: Node);
}
