import Node from './Node';
import Sequence from './Sequence';
import ComplexType from './ComplexType';
import Element from './Element';
/**
 * Содержит расширения для complexContent.
 * https://msdn.microsoft.com/ru-ru/library/ms256161(v=vs.120).aspx
 */
export default class Extension extends Node {
    sequence: Sequence;
    readonly baseComplexTypeFullName: string;
    readonly baseComplexType: ComplexType;
    readonly elements: Element[];
    constructor(data: any, ownerNode?: Node);
}
