import OtherAttribute from '../OtherAttribute';
export default class Node {
    protected data: any;
    ownerNode?: Node;
    protected otherAttributes: OtherAttribute[];
    readonly nodeTypeName: string;
    readonly path: string[];
    readonly className: string;
    readonly rootNode: Node;
    readonly ancestors: Node[];
    childs: Node[];
    constructor(data: any, ownerNode?: Node);
    hasAttribute(name: string): boolean;
    getAttribute(name: string): OtherAttribute;
    getAttributeValue(name: string, defaultValue?: string): string;
    protected getAttributePrefixByValue(value: string): string;
}
